%global realname oauth
%global upstream tim
%global debug_package %{nil}
%global git_tag 18cee77
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.1.1
Release:	3%{?dist}
Summary:	An Erlang OAuth implementation
Group:		Development/Languages
License:	MIT
URL:		http://github.com/tim/erlang-oauth
# wget --no-check-certificate --content-disposition https://github.com/tim/erlang-oauth/tarball/v1.1.1
Source0:	%{upstream}-erlang-%{realname}-v%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-oauth-0001-add-support-of-erlang-R15B-in-oauth.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-public_key
BuildRequires:	erlang-tools
Requires:	erlang-crypto
Requires:	erlang-erts
# Error:erlang(httpc:request/4) in R12B and below
Requires:	erlang-inets >= R13B
Requires:	erlang-kernel
# Error:erlang(public_key:pem_decode/1) in R13B and below
# Error:erlang(public_key:pem_entry_decode/1) in R13B and below
# Error:erlang(public_key:verify/4) in R13B and below
Requires:	erlang-public_key >= R14B
Requires:	erlang-stdlib
Requires:	erlang-xmerl


%description
An Erlang OAuth implementation.


%prep
%setup -q -n %{upstream}-%{name}-%{git_tag}
%patch1 -p1 -b .R15B


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc License.txt README.txt THANKS.txt
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_client.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_hmac_sha1.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_http.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_plaintext.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_rsa_sha1.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_uri.beam


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.1-1
- Ver. 1.1.1 (Incompatible with Erlang/OTP < R14B)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 26 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-1
- First stable release (this is the same as git7d85d3e with the patch no. 1)

* Wed Sep 22 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.6.git7d85d3e
- Narrowed BuildRequires
- New git snapshot

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.5.gite8aecf0
- Rebuild with new Erlang R14A
- Simplified spec-file
- Added missing requirement - erlang-kernel

* Fri May 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.4.gite8aecf0
- Fixed CouchDB failure (see rhbz #597093)
- Fixed reqirements for F-11

* Thu May 27 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.3.gite8aecf0
- Fixed explicit requires on EL-[45]

* Thu May 13 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.gite8aecf0
- Narrowed explicit requires

* Wed Apr  7 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.gite8aecf0
- initial package

